LINUX.ORG.RU

Opera 47

 ,


1

3

Состоялся релиз браузера Opera 47, основанного на движке Chromium. Сборки сформированы для GNU/Linux (deb и RPM), macOS и Windows. В новой версии продолжено внедрение интерфейса OperaNeon. В Opera 49 ожидается прекращение поддержки дистрибутивов с Glibc ниже 2.18.

Новшества:

  • Реализован экспорт закладок в HTML-файл.
  • Добавлены интервалы обновления RSS в 3 и 6 часов.
  • Число записей в списке недавно закрытых вкладок увеличилось с 10 до 32.
  • Устранены ошибки воспроизведения видео.
  • Откорректирован внешний вид: тёмные иконки сайтов теперь отображаются в светлых тонах при использовании тёмной темы браузера.
  • Движок Chromium обновлён до версии 60.

>>> Подробности



Проверено: leave ()
Ответ на: комментарий от AlexAT

Ну так сделали бы на крайняк единый пакет с галочками при установке. Нахрена ж в одну апликуху-то? (А если я другой mail/news- и другой torrent-клиент использую — зачем мне лишние компоненты.)

Вернее, собственно, дело даже не в лишнести, а в том, что это в принципе разные по природе вещи. HTTP(S)+FILE+FTP — ок. Mail+news — ок. XMPP+IRC+SIP — oк. Torrent+чтотоаналогичное — ок. Но кардинально-разные вещи, по-моему, объединять некрасиво.

sasha1024 ()

Подогнать по ширине

Для меня самой охрененной возможностью в старой Опере была кнопка «Подогнать по ширине». Когда я сколько угодно увеличиваю шрифт по своему усмотрению, и при этом вижу всю ширину текста без горизонтального скролла. Именно из-за этого в телефоне 12-ю Оперу держу.

А здесь такого не нашел. Плохо искал или щас этого ваще нет?

anonymous ()
Ответ на: комментарий от leg0las

У хромиума есть своя libffmpeg.so

У меня в пакете google-chrome этого файла нет, но h.264 в нём поддерживается. Приходится вручную обновлять его в opera, так как при установленном хроме h.264 не воспроизводится :(

grem ★★★★★ ()
Ответ на: комментарий от grem
# cat /usr/lib64/opera/resources/ffmpeg_preload_config.json 
[
  "lib_extra/libffmpeg.so",
  "/usr/lib/chromium-browser/libffmpeg.so",
  "/usr/lib/chromium-browser/libs/libffmpeg.so"

Положи либу с хромиума по этим путям, чтобы не парится переписыванием каждый раз библиотеки.

У меня это выглядит так:

# ls -la /usr/lib64/chromium-browser/
итого 140
drwxr-xr-x   2 root root   4096 Авг 16 14:23 .
drwxr-xr-x 112 root root 135168 Авг 21 13:19 ..
lrwxrwxrwx   1 root root     32 Авг 16 14:23 libffmpeg.so -> /usr/lib64/chromium/libffmpeg.so
lrwxrwxrwx   1 root root     36 Авг 16 14:22 libwidevinecdmadapter.so -> ../chromium/libwidevinecdmadapter.so
lrwxrwxrwx   1 root root     29 Авг 16 14:22 libwidevinecdm.so -> ../chromium/libwidevinecdm.so

Стоит также пакет www-plugins/chrome-binary-plugins.

leg0las ★★★★★ ()
Ответ на: комментарий от foozzi

И что на тот момент там было уг? Плохо отображались некоторые странички не соответствующие стандартам? Что ж из этого уг все браузеры фичи новые то тащили и продолжают тащить?

Вот с 15 по какую-то 2х или 3x версию из-за куцости фич пользоваться им не хотелось. Даже яндекс.браузер из коробки был приятнее. Хорошо, что сейчас дело поправили.

grem ★★★★★ ()
Ответ на: комментарий от leg0las

Спасибо, я в итоге просто распаковал libffmpeg.so из deb-файла в /usr/lib/chromium-browser (туда он из него и распаковывается). H.264 на ютубе включен, ролики в kinopoisk проигрываются, ролики beta.kinopoisk тоже, но вот для самих фильмов beta.kinopoisk и на ivi хочет именно flash :(

Для chromium-codecs-ffmpeg-extra здесь есть ebuild, если не хочется руками его распаковывать. Хотя для новых версий его придётся переписывать.

grem ★★★★★ ()